Index: guix/.dotfiles/home-configuration.scm
===================================================================
--- guix/.dotfiles/home-configuration.scm	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
+++ guix/.dotfiles/home-configuration.scm	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -0,0 +1,170 @@
+(use-modules (gnu home)
+             (gnu packages)
+	     (gnu packages gnupg)
+	     (gnu packages shells)
+             (gnu services)
+             (guix gexp)
+	     (guix channels)
+	     (gnu home services)
+	     (gnu home services guix)
+	     (gnu home services ssh)
+	     (gnu home services desktop)
+	     (gnu home services dotfiles)
+             (gnu home services shells)
+	     (gnu home services gnupg))
+
+(define dotfiles-dir "/home/w96k/projects/dotfiles/")
+
+(define wkz-home (home-environment
+		  (packages (specifications->packages (list
+						       "guix"
+						       "ratpoison"
+						       "xdot"
+						       "graphviz"
+						       "sed"
+						       "darktable"
+                                            "openssh"
+                                            "docker-compose"
+                                            "emacs-company"
+                                            "emacs-f"
+                                            "emacs-s"
+					    "emacs-xterm-color"
+                                            "emacs-lsp-mode"
+
+					    "guile"
+					    "guile-readline"
+					    "guile-colorized"
+					    "emacs-geiser"
+					    "emacs-geiser-guile"
+					    
+					    "emacs-telega"
+					    "emacs-guix"
+					    "emacs-simple-httpd"
+					    "emacs-osm"
+                                            "wget"
+                                            "bitcoin-core"
+                                            "xrandr"
+                                            "unzip"
+                                            "zip"
+                                            "mpv"
+                                            "emacs-rmsbolt"
+                                            "git"
+                                            ;; "wkz-emacs"
+					    "emacs-no-x-toolkit"
+					    "emacs-gptel"
+                                            "lm-sensors"
+                                            "htop"
+                                            "make"
+                                            "emacs-simple-httpd"
+                                            "emacs-guix"
+                                            "emacs-telega"
+                                            "gimp"
+                                            "imagemagick"
+                                            "stow"
+                                            "icecat"
+                                            "smartmontools"
+                                            "lshw"
+                                            "hwinfo"
+                                            "ntfs-3g"
+                                            "qbittorrent"
+                                            "x11-ssh-askpass"
+                                            "syncthing"
+                                            "pavucontrol"
+                                            "arp-scan"
+                                            "proot"
+                                            "openconnect"
+                                            "alsa-utils"
+                                            "grep"
+					    "xlockmore"
+					    "bitcoin-core"
+					    "x11-ssh-askpass"
+					    "pinentry-emacs"
+					    "texlive"
+					    "fetchmail"
+					    "gnupg"
+					    "xhost"
+
+					    ;; "wkz-php"
+					    ;; "wkz-python"
+					    ;; "wkz-ruby"
+					    )))
+
+  ;; Below is the list of Home services.  To search for available
+  ;; services, run 'guix home search KEYWORD' in a terminal.
+  (services
+   (list
+    ;; (service home-run-on-first-login-service-type)
+    ;; (service home-activation-service-type)
+    
+    (service home-bash-service-type
+                  (home-bash-configuration
+		   (guix-defaults? #t)
+                   (aliases '(("grep" . "grep --color=auto")
+                              ("ip" . "ip -color=auto")
+                              ("ll" . "ls -l")
+                              ("ls" . "ls -p --color=auto")))
+                   (bashrc (list (local-file
+                                  ".bashrc"
+                                  "bashrc")))
+                   ;; (bash-profile (list (local-file
+                   ;;                      ".bash_profile"
+                   ;;                      "bash_profile")))
+		   ))
+
+    (service home-redshift-service-type
+	     (home-redshift-configuration
+	      (location-provider 'manual)
+	      (latitude 41.71)
+	      (longitude 44.82)
+	      ))
+
+    ;; (service home-x11-display-service-type)
+	 (service home-gpg-agent-service-type
+         (home-gpg-agent-configuration
+          (pinentry-program
+           (file-append pinentry-emacs "/bin/pinentry-emacs"))
+          (ssh-support? #t)))
+
+	 (service home-unclutter-service-type
+		  (home-unclutter-configuration
+		   (idle-timeout 1)))
+
+	 (service home-openssh-service-type
+		  (home-openssh-configuration
+		   (authorized-keys (list (local-file "id_rsa.pub")))))
+
+	 (service home-startx-command-service-type
+		   (xorg-configuration (keyboard-layout (keyboard-layout "us,ru"
+									 #:options '("grp:shifts_toggle" "ctrl:nocaps")))))
+
+	 ;; (service home-files-service-type `((".xinitrc" ,(local-file ".xinitrc" "xinitrc"))))
+
+	 (service home-dotfiles-service-type
+		  (home-dotfiles-configuration
+		   ;; (layout 'stow)
+		   (directories '(
+				  "/home/w96k/projects/dotfiles/X"
+				  "/home/w96k/projects/dotfiles/wm"
+				  "/home/w96k/projects/dotfiles/emacs"
+				  "/home/w96k/projects/dotfiles/cvs"
+				  "/home/w96k/projects/dotfiles/guix"
+				  ))))
+
+	 ;; (service home-ssh-agent-service-type
+	 ;; 	  (home-ssh-agent-configuration
+	 ;; 	   (extra-options '("-t" "1h30m"))))
+
+	 (simple-service 'nonguix-service 
+                home-channels-service-type
+                (list
+		 (channel
+		  (name 'nonguix)
+		  (url "https://gitlab.com/nonguix/nonguix")
+		  (introduction
+		   (make-channel-introduction
+		    "897c1a470da759236cc11798f4e0a5f7d4d59fbc"
+		    (openpgp-fingerprint
+		     "2A39 3FFF 68F4 EF7A 3D29 12AF 6F51 20A0 22FB B2D5"))))))
+	 ))))
+
+wkz-home
Index: guix/.dotfiles/id_rsa.pub
===================================================================
--- guix/.dotfiles/id_rsa.pub	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
+++ guix/.dotfiles/id_rsa.pub	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -0,0 +1,1 @@
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQCft3eS5RCtC321fr2JEnDAx2uvqXE2CFN7P1RzzNxb4+48zKAjPgxYkruyAcFKUDXJe9rOeP0JNA5DDZPQOHgvjJRm22PtFPPs3UdsZQHzWcd/DfhUkBwuourinKnZG/JRpOFOBt1S/7nHMNovGAk7oobIyU9gumoAOVryCiliZ/co5wziUyl8ofzJs6T50aFihFveLmlUeO1Fqlik59K3yZ9MshwLfHj5Vz4z7vNUMM5mxMM1UgfWQfrVP07VAgeQYxhcogWM8USIA+7edrewAx5ZGbcjIjPzAvTe0ijwUk/IUwsln7Z2B81mFU1ZdTR7t83uJluD82HoDkp+lXPYcI2vRiqzV14HJhKrHiJbMnXmBO2I/SGntUtSFRYy3Y7EiaujEkWuAk1yVo1Cq/aKnejlE+VfHmdqpBneJo7rrCl49aZq0j4/JNVsMdwY+t88NhlxjWJSQq6NnZL999BGxdnHL1NwRojomwbdVDvXH9ENX0JzWhMpxbBBfO/aSGk= w96k@wkz-guix
Index: guix/.guix-packages/emacs.scm
===================================================================
--- guix/.guix-packages/emacs.scm	(revision 7bfb563bd9fae2bbcfdcd8c4df8db1ad44ef8ca7)
+++ guix/.guix-packages/emacs.scm	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -1,256 +1,1 @@
-(define-module (emacs)
-  #:use-module ((guix licenses) #:prefix license:)
-  #:use-module (guix packages)
-  #:use-module (guix download)
-  #:use-module (guix build-system gnu)
-  #:use-module (guix git-download)
-  #:use-module (guix licenses)
-  #:use-module (guix utils)
-  #:use-module (guix memoization)
-  #:use-module (guix build-system emacs)
-  #:use-module (guix build-system glib-or-gtk)
-  #:use-module (gnu packages)
-  #:use-module (gnu packages imagemagick)
-  #:use-module (gnu packages xorg)
-  #:use-module (gnu packages base)
-  #:use-module (gnu packages code)
-  #:use-module (gnu packages gcc)
-  #:use-module (gnu packages php)
-  #:use-module (gnu packages web)  
-  #:use-module (gnu packages autotools)
-  #:use-module (gnu packages compression)
-  #:use-module (gnu packages emacs)
-  #:use-module (gnu packages emacs-xyz)
-  #:use-module (guix utils)
-  #:use-module (srfi srfi-1)
-  #:use-module (ice-9 match))
-
-(define-public emacs-pythonic
-  (package
-   (name "emacs-pythonic")
-   (version "0.2.0")
-   (source (origin
-            (method git-fetch)
-            (uri (git-reference
-		  (url "https://github.com/pythonic-emacs/pythonic.git")
-                  (commit (string-append "v" version))))
-            (file-name (git-file-name name version))
-            (sha256
-             (base32
-	      "0hbvy8wdi5dgxn86j8z54y2fhcvm605xxm6xv054nl6fw2hh2h5h"))))
-   (build-system emacs-build-system)
-   (propagated-inputs
-    `(("s" ,emacs-s)
-      ("f" ,emacs-f)))
-   (home-page "https://github.com/pythonic-emacs/anaconda-mode")
-   (synopsis "Utility functions for writing pythonic emacs package.")
-   (description
-    "Utility functions for writing pythonic emacs package.")
-   (license license:gpl3+)))
-
-(define-public emacs-anaconda-mode
-  (package
-   (name "emacs-anaconda-mode")
-   (version "0.1.14")
-   (source (origin
-            (method git-fetch)
-            (uri (git-reference
-                  (url "https://github.com/pythonic-emacs/anaconda-mode.git")
-                  (commit (string-append "v" version))))
-            (file-name (git-file-name name version))
-            (sha256
-             (base32
-	      "04f6kw4rd8k6waiyfbk7x8qdrqm411mdsdzjh2w9rvmv7y36ckh8"))))
-   (build-system emacs-build-system)
-   (propagated-inputs
-    `(("emacs-pythonic" ,emacs-pythonic)
-      ("dash" ,emacs-dash)
-      ("s" ,emacs-s)
-      ("f" ,emacs-f)))
-   (home-page "https://github.com/pythonic-emacs/anaconda-mode")
-   (synopsis "Code navigation, documentation lookup and completion for
-Python.")
-   (description
-    "Code navigation, documentation lookup and completion for Python.")
-   (license license:gpl3)))
-
-(define-public emacs-kiwix
-  (package
-   (name "emacs-kiwix")
-   (version "1.0.3")
-   (source
-    (origin
-     (method url-fetch)
-     (uri (string-append
-           "https://elpa.gnu.org/packages/kiwix-"
-           version
-           ".tar"))
-     (sha256
-      (base32
-       "061b816xp8ykqd56z0nvc69aql9y4mba42p6x6vc0j6gr9n3c1j6"))))
-   (build-system emacs-build-system)
-   (propagated-inputs
-    `(("emacs-request" ,emacs-request)))
-   (home-page
-    "https://github.com/stardiviner/kiwix.el")
-   (synopsis
-    "Searching offline Wikipedia through Kiwix.")
-   (description
-    "Emacs client for a free offline web browser created by Emmanuel
-Engelhart and Renaud Gaudin in 2007.")
-   (license license:gpl3+)))
-
-(define-public emacs-realgud-xdebug
-  (package
-   (name "emacs-realgud-xdebug")
-   (version "0.1.0")
-   (source
-    (origin
-     (uri (git-reference
-           (url "https://github.com/realgud/realgud-xdebug")
-           (commit version)))
-     (method git-fetch)
-     (sha256
-      (base32 "0iyxm4yfjwpc322md8iz38xs1y6whqjgsbbs7vdjw1k5029q8nc0"))
-     (file-name (git-file-name name version))))
-   (build-system emacs-build-system)
-   (inputs
-    (list emacs-realgud))
-   (home-page "https://github.com/realgud/realgud-xdebug/")
-   (synopsis
-    "Modular front-end for interacting with external debuggers")
-   (description
-    "RealGUD is a modular, extensible GNU Emacs front-end for interacting
-with external debuggers.  It integrates various debuggers such as gdb, pdb,
-ipdb, jdb, lldb, bashdb, zshdb, etc. and allows visually steping through code in the
-sources.  Unlike GUD, it also supports running multiple debug sessions in
-parallel.")
-   (license license:gpl3+)))
-
-(define-public emacs-xcscope
-    (package
-     (name "emacs-xcscope")
-     (version "1.5")
-     (source (origin
-            (method git-fetch)
-            (uri (git-reference
-                  (url "https://github.com/dkogan/xcscope.el")
-                  (commit (string-append "v" version))))
-            (file-name (git-file-name name version))
-            (sha256
-             (base32
-	      "0w2bxrnidladpzrd82z3w3gvjhajs71k5vjk2y03r09i9fwn2ykc"))))
-     (build-system emacs-build-system)
-     (home-page "https://github.com/realgud/realgud-xdebug/")
-     (synopsis
-      "emacs auto-complete & company-mode for php ")
-     (description
-      "The PHP code completion and the jump to definition/declaration/inclusion-file provided by phpctags")
-     (license license:gpl3+)))
-
-(define-public emacs-ac-php
-    (package
-     (name "emacs-ac-php")
-     (version "2.4.2")
-     (source (origin
-            (method git-fetch)
-            (uri (git-reference
-                  (url "https://github.com/xcwen/ac-php")
-                  (commit version)))
-            (file-name (git-file-name name version))
-            (sha256
-             (base32
-	      "08vfdp7q6x5fk2nn5dl884cyysxrl2gw8f16g7wqvf7v24jmx71d"))))
-     (build-system emacs-build-system)
-     (native-inputs
-      (list emacs-company emacs-helm))
-     (propagated-inputs
-      (list emacs-php-mode php emacs-s
-	    emacs-f emacs-popup emacs-dash
-	    emacs-xcscope cscope emacs-auto-complete
-	    emacs-yasnippet))
-     (home-page "https://github.com/xcwen/ac-php")
-     (synopsis
-      "emacs auto-complete & company-mode for php ")
-     (description
-      "The PHP code completion and the jump to definition/declaration/inclusion-file provided by phpctags")
-     (license license:gpl3+)))
-
-(define-public emacs-php-quickhelp
-    (package
-     (name "emacs-php-quickhelp")
-     (version "0.5.5")
-     (source (origin
-            (method git-fetch)
-            (uri (git-reference
-                  (url "https://github.com/vpxyz/php-quickhelp")
-                  (commit (string-append "v" version))))
-            (file-name (git-file-name name version))
-            (sha256
-             (base32
-	      "1d9rg699wl67qkb93r4qnjn0ng4xn9c2g6kc98zaiy2v0v2wcv8g"))))
-     (build-system emacs-build-system)
-     (propagated-inputs
-      (list jq))
-     (home-page "https://github.com/vpxyz/php-quickhelp")
-     (synopsis
-      "A php quickhelp and eldoc backed for emacs ")
-     (description
-      "Provide quick help (and a eldoc beckend) for company-php and company-phpactor. It require jq to extract a short help from php manual.")
-     (license license:gpl3+)))
-
-(define-public emacs-mastodon-updated
-  (package
-   (inherit emacs-mastodon)
-   (name "emacs-mastodon")
-   (version "1.0.0")
-   (source (origin
-            (method git-fetch)
-            (uri (git-reference
-                  (url "https://codeberg.org/martianh/mastodon.el")
-                  (commit version)))
-            (file-name (git-file-name name version))
-            (sha256
-             (base32
-	      "13swcbvwhjl8ksrgzvmfafkgd3iz8znk49bs1n48w3g9qvh097w7"))))
-   (propagated-inputs
-    (list emacs-request))
-   (build-system emacs-build-system)))
-
-(define-public emacs-mini-modeline
-  (package
-    (name "emacs-mini-modeline")
-    (version "20211130.604")
-    (source (origin
-              (method git-fetch)
-              (uri (git-reference
-                    (url "https://github.com/kiennq/emacs-mini-modeline.git")
-                    (commit "434b98b22c69c8b3b08e9c267c935591c49a8301")))
-              (sha256
-               (base32
-                "063bpi3gxzi6kkc3mb9h4m8lvbsvfw47z559960h912h2l3z6vhq"))))
-    (build-system emacs-build-system)
-    (propagated-inputs (list emacs-dash))
-    (home-page "https://github.com/kiennq/emacs-mini-modeline")
-    (synopsis "Display modeline in minibuffer")
-    (description
-     "Display modeline in minibuffer.  With this we save one display line and also
-don't have to see redundant information.")
-    (license #f)))
-
-(define-public emacs-isearch-mb
-  (package
-    (name "emacs-isearch-mb")
-    (version "0.5")
-    (source (origin
-              (method url-fetch)
-              (uri (string-append "https://elpa.gnu.org/packages/isearch-mb-"
-                                  version ".tar"))
-              (sha256
-               (base32
-                "0fah8dmh9jv05i93ccn9dvl7qmfy32vwxqdzkf1v8gr1plsyjyx7"))))
-    (build-system emacs-build-system)
-    (home-page "https://github.com/astoff/isearch-mb")
-    (synopsis "Control isearch from the minibuffer")
-    (description "")
-    (license license:gpl3+)))
+/gnu/store/bp44dky1ixj2w1hqjs8nw7a5k177vl9s-home-dotfiles--guix-packages-emacs-scm
Index: guix/.guix-packages/kiwix.scm
===================================================================
--- guix/.guix-packages/kiwix.scm	(revision 7bfb563bd9fae2bbcfdcd8c4df8db1ad44ef8ca7)
+++ guix/.guix-packages/kiwix.scm	(revision 254aa1d44b1575434f9f92ace2e1ea12280d028c)
@@ -1,56 +1,1 @@
-(define-module (kiwix)
-  #:use-module ((guix licenses) #:prefix license:)
-  #:use-module (guix packages)
-  #:use-module (guix download)
-  #:use-module (guix build-system gnu)
-  #:use-module (guix git-download)
-  #:use-module (guix licenses)
-  #:use-module (guix utils)
-  #:use-module (guix build-system meson)
-  #:use-module (gnu packages cmake)
-  #:use-module (gnu packages web)
-  #:use-module (gnu packages gnunet)
-  #:use-module (gnu packages pkg-config)
-  #:use-module (gnu packages search)
-  #:use-module (gnu packages icu4c)
-  #:use-module (gnu packages xml)
-  #:use-module (gnu packages curl)
-  #:use-module (gnu packages compression))
-
-(define-public kiwix-tools
-  (package
-    (name "kiwix-tools")
-    (version "3.1.2")
-    (source (origin
-              (method git-fetch)
-              (uri (git-reference
-		    (url "https://github.com/kiwix/kiwix-tools.git")
-                    ;;(commit (string-append "v" version))
-		    (commit version)
-		    ))
-              (file-name (git-file-name name version))
-              (sha256
-               (base32
-		"1jmvw9llmj8cah6kwmdamwjpakz9ly688a988kd7sy22av8jnz4b"))))
-    (build-system meson-build-system)
-    (native-inputs
-     `(("cmake" ,cmake)))
-    (inputs
-     `(
-       ("libzim" ,libzim)
-       ("libmicrohttpd" ,libmicrohttpd)
-       ("zlib" ,zlib)
-       ("pkg-config" ,pkg-config)
-       ("zstd" ,zstd "lib")
-       ("xapian" ,xapian)
-       ("icu4c" ,icu4c)
-       ("pugixml" ,pugixml)
-       ("curl" ,curl)
-       ))
-    (propagated-inputs
-     `(("kiwix-lib" ,kiwix-lib)))
-    (home-page "https://kiwix.org/")
-    (synopsis "")
-    (description
-     "")
-    (license license:gpl3+)))
+/gnu/store/38h5jn2wp5g1s4wqrx8maxz7vw2fshwx-home-dotfiles--guix-packages-kiwix-scm
